"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.array.iterator");

require("core-js/modules/es.promise");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.report = void 0;

function _ui() {
  const data = require("@teambit/ui");

  _ui = function () {
    return data;
  };

  return data;
}

function _moment() {
  const data = _interopRequireDefault(require("moment"));

  _moment = function () {
    return data;
  };

  return data;
}

const report = async ([uiRootName, userPattern], {
  dev,
  port,
  rebuild
}, ui, logger, pubsub) => {
  const pattern = userPattern && userPattern.toString();
  ui.createRuntime({
    uiRootName,
    pattern,
    dev,
    port: port ? parseInt(port) : undefined,
    rebuild
  }); // eslint-disable-next-line @typescript-eslint/no-unused-vars

  return new Promise((resolve, reject) => {
    // https://github.com/nodejs/node/issues/22088
    setInterval(() => {}, 5000);
    pubsub.sub(_ui().UIAspect.id, event => {
      if (event.type === _ui().UiServerStartedEvent.TYPE) {
        logger.console(`
  ${(0, _moment().default)().format('HH:mm:ss')} - You can now view the components in the browser
  Main UI server is running on http://${event.data.targetHost}:${event.data.targetPort}
          `);
      }
    });
  });
};

exports.report = report;

//# sourceMappingURL=start.cmd/report.js.map